%define checkoutdate 2008_0506

Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	The Ralink RT73:RT2571W/RT2573/RT2671 binary firmware image
Name:      	firmware-rt73
Version:   	1.1.0.1
Release:   	1
Provides:	firmware-rt73
License: 	GNU/GPL
URL:		http://www.ralinktech.com.tw/
Group:     	System/Configuration/Hardware
Source0: 	%{checkoutdate}_RT73_Linux_STA_Drv%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
The Ralink RT2501USB(RT73:RT2571W/RT2573/RT2671) binary firmware image

%prep
%setup -n %{checkoutdate}_RT73_Linux_STA_Drv%{version}

%install
pwd
install -d -m 755 $RPM_BUILD_ROOT/lib/firmware
install -d -m 755 $RPM_BUILD_ROOT/etc/Wireless/RT73STA
install -m 644 Module/rt73.bin $RPM_BUILD_ROOT/lib/firmware
install -m 644 Module/rt73sta.dat $RPM_BUILD_ROOT/etc/Wireless/RT73STA/rt73sta.dat

%files
%defattr(-,root,root)
%{_sysconfdir}/Wireless/RT73STA/rt73sta.dat
/lib/firmware/rt73.bin


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Jul 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0.1-1
- Initial Release
